<?php

if ( ! defined( 'ABSPATH' ) ) exit;

include_once(ABSPATH.'wp-admin'.DIRECTORY_SEPARATOR.'includes'.DIRECTORY_SEPARATOR.'plugin.php');

if ( !current_user_can( 'activate_plugins' ) ) {
	exit("You don't have permission to access this plugin.");
}

wp_enqueue_script("cometchat_pro_settings_js", dirname(plugin_dir_url( __FILE__ )).'/assets/settings.js?v='.time());

$regions =[
	'us' => '',
	'eu' => '',
	'in' => '',
];

$versions = [
	'3' => '',
	'2' => '',
];

if (get_option('cometchat_pro_region')) {
	$regions[get_option('cometchat_pro_region')] = 'selected';
}

if (get_option('cometchat_pro_version')) {
	$versions[get_option('cometchat_pro_version')] = 'selected';
}


?>
<!DOCTYPE html>
<html>
<head></head>
<body>
	<div style="margin-bottom:50px;">
		<h1>CometChat</h1>
	</div>
		<div>
			<div>
				<div>
					<div style="margin-bottom: 50px;">
					<h2>
						App ID
					</h2>
					<p>
						<em>CometChat Dashboard -> App -> Credentials</em>
					</p>
					<p>
						<input type="text" id="cometchat_pro_appid" value="<?php echo get_option('cometchat_pro_appid');?>" style="width: 250px" placeholder="Your App ID">
					</p>
				</div>

				<div style="margin-bottom: 50px;">
					<h2>
						App Region
					</h2>
					<p>
						<em>CometChat Dashboard -> App -> Credentials</em>
					</p>
					<p>
						<select id="cometchat_pro_region">
							<?php foreach($regions as $region => $selected): ?>
							<option value="<?php echo $region; ?>" <?php echo $selected;?>>
								<?php echo strtoupper($region); ?>
							</option>
							<?php endforeach; ?>
						</select>
					</p>
				</div>
				<div style="margin-bottom: 50px;">
					<h2>
						App Version
					</h2>
					<p>
						<em>CometChat Dashboard -> App -> Credentials</em>
					</p>
					<p>
						<select id="cometchat_pro_version">
							<?php foreach($versions as $version => $selected): ?>
							<option value="<?php echo $version; ?>" <?php echo $selected;?>>
								<?php echo $version; ?>
							</option>
							<?php endforeach; ?>
						</select>
					</p>
				</div>
				<div style="margin-bottom: 50px;">
					<h2>
						Rest API Key
					</h2>
					<p>
						<em>CometChat Dashboard -> App -> Credentials -> Rest API Keys</em>
					</p>
					<p style="margin-top: 20px;">
						<input type="text" id="cometchat_pro_apikey" value="<?php echo get_option('cometchat_pro_apikey');?>" style="width: 250px;" placeholder="Your API Key">
					</p>
				</div>
				<hr/>
				<div style="margin-bottom: 50px;margin-top:50px;">
					<h2>
						Load CometChat on all pages/sitewide?
					</h2>
					<p>
						<em>Paste the CometChat Shortcode (or leave blank if you do not want CometChat sitewide)</em>
					</p>
					<p style="margin-top: 20px;">
						<textarea id="cometchat_pro_footer" placeholder="[cometchat-pro ...]" cols=80 rows=3><?php echo get_option('cometchat_pro_footer');?></textarea>
					</p>
				</div>

				<div style="margin-bottom: 50px;">
				<p>
					<button type="submit" value="submit" class="button-primary" id="cometchat_pro_settings">Update Settings</button>
				</p>
			</div>
			<div id="cometchat_pro_settings_message"></div>
			</div>
		</div>
	</div>
</body>
</html>
