<?php

// Return Shortcode for WordPress

function getCometChatProShortCode($cometchat_pro_atts)
{

    global $current_user;

    if (is_user_logged_in()) {
        $uid = $current_user->ID;
    } else {
      return '<div id="cometchat">Please login to use this feature.</div>';
    }
    addUserToCometChatPro($uid);
    $authToken = get_user_meta( $uid, 'cometchat_pro_authtoken_'.get_option('cometchat_pro_appid'), true );

    $app_region = '';
    $app_id = '';

    $default_username = isset($cometchat_pro_atts['default-username']) ? removeAllQuotes($cometchat_pro_atts['default-username']) : '';
    $default_id = isset($cometchat_pro_atts['default-id']) ? removeAllQuotes($cometchat_pro_atts['default-id']) : '';
    $default_type = isset($cometchat_pro_atts['default-type']) ? removeAllQuotes($cometchat_pro_atts['default-type']) : '';
    $widget_id = isset($cometchat_pro_atts['widget-id']) ? removeAllQuotes($cometchat_pro_atts['widget-id']) : '';
    $widget_version = isset($cometchat_pro_atts['widget-version']) ? removeAllQuotes($cometchat_pro_atts['widget-version']) : '';

    $widget_height = isset($cometchat_pro_atts['widget-height']) ? removeAllQuotes($cometchat_pro_atts['widget-height']) : '';
    $widget_width = isset($cometchat_pro_atts['widget-width']) ? removeAllQuotes($cometchat_pro_atts['widget-width']) : '';

    $widget_docked = isset($cometchat_pro_atts['widget-docked']) ? removeAllQuotes($cometchat_pro_atts['widget-docked']) : '';
    $widget_docked_position = isset($cometchat_pro_atts['widget-docked-position']) ? removeAllQuotes($cometchat_pro_atts['widget-docked-position']) : '';

    $rounded_corners = isset($cometchat_pro_atts['rounded-corners']) ? removeAllQuotes($cometchat_pro_atts['rounded-corners']) : '';

    $app_region = get_option('cometchat_pro_region');
    $app_id = get_option('cometchat_pro_appid');

    if (!empty($default_username)) {
      $default_user = get_userdatabylogin($default_username);
      if($default_user){
           $default_id = $default_user->ID;
      }
    }

    if (empty($widget_version)) {
      $widget_version = 'v1';
    }

    if (empty($widget_docked)) {
      $widget_docked = 'false';
    }

    if (empty($rounded_corners)) {
      $rounded_corners = 'false';
    }


if($widget_version == 'v2' || $widget_version == 'v3') {

  $script_url = 'https://widget-js.cometchat.io/v2/cometchatwidget.js';
  if($widget_version == 'v3') {
    $script_url = 'https://widget-js.cometchat.io/v3/cometchatwidget.js';
  }

  wp_enqueue_script('cometchat_pro', $script_url, null, null, false);

  $html = <<<EOD
<div id="cometchat"></div>
<script>
window.addEventListener('DOMContentLoaded', (event) => {
    CometChatWidget.init({
        "appID": "{$app_id}",
        "appRegion": "{$app_region}",
    }).then(response => {
        console.log("Initialization completed successfully");
        //You can now call login function.
        CometChatWidget.login({
            "authToken": "{$authToken}"
        }).then(response => {
            CometChatWidget.launch({
                "widgetID": "{$widget_id}",
                "target": "#cometchat",
                "roundedCorners": "true",
                "height": "{$widget_height}",
                "width": "{$widget_width}",
                "docked": "{$widget_docked}",
                'alignment': '{$widget_docked_position}',
                'roundedCorners': '{$rounded_corners}',
                "defaultID": '{$default_id}', //default UID (user) or GUID (group) to show,
                "defaultType": '{$default_type}' //user or group
            });
        }, error => {
            console.log("User login failed with error:", error);
            //Check the reason for error and take appropriate action.
        });
    }, error => {
        console.log("Initialization failed with error:", error);
        //Check the reason for error and take appropriate action.
    });
});
</script>
EOD;

}

return $html;

}

function removeAllQuotes($s) {
    $result = preg_replace("/[^a-zA-Z0-9\%\-]+/", "", html_entity_decode($s, ENT_QUOTES));
    return $result;
}

add_shortcode('cometchat-pro', 'getCometChatProShortCode');
